#!/usr/bin/python
#-----------------------------------------------------------------------------
# Name:        CertificateRequestTool.py
# Purpose:     Starts the CertificateRequestTool
# Created:     2003/08/12
# RCS_ID:      $Id: CertificateRequestTool.py,v 1.8.2.3 2005/08/19 03:15:12 turam Exp $
# Copyright:   (c) 2003
# Licence:     See COPYING.txt
#-----------------------------------------------------------------------------
"""
This is the tool used to get certificates.
"""
__revision__ = "$Id: CertificateRequestTool.py,v 1.8.2.3 2005/08/19 03:15:12 turam Exp $"

import sys

if sys.platform == "darwin":
    # OSX: pyGlobus/globus need to be loaded before modules such as socket.
    import pyGlobus.ioc

from AccessGrid.Toolkit import WXGUIApplication
from wxPython.wx import wxPySimpleApp

pp = wxPySimpleApp()
app = WXGUIApplication()

# This will not work if we don't have any certificates
try:
    args = app.Initialize('CertificateRequestTool')
except:
    # Doesn't matter if we have certificates or proxies
    # we just want to request a new certificate
    print "Failed to init toolkit, continuing..."
    pass

certMgrUI = app.GetCertMgrUI()
pending = certMgrUI.certificateManager.GetPendingRequests()

if pending is not None and len(pending) > 0:
    #
    # We have pending requests. Bring up that dialog so that
    # the user can check to see if they're available yet.
    #

    certMgrUI.RunCertificateStatusTool()

else:

    certMgrUI.RunCertificateRequestTool()
