# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /cvs/fl/ag-media/portage/ag-media/vic/vic-1.1.13.ebuild,v 1.1 2004/09/14 14:11:00 turam Exp $

DESCRIPTION="UCL vic is a unicast and multicast videoconferencing phone."

HOMEPAGE="http://www-mice.cs.ucl.ac.uk/multimedia/software/vic/"

SRC_URI="http://www.mcs.anl.gov/fl/research/accessgrid/software/required/source/ag-media-2.2.tar.gz"

LICENSE="UCL"

SLOT="0"

KEYWORDS="x86"

IUSE="debug"

DEPEND="virtual/glibc"

S=${WORKDIR}/ag-media

src_compile() {
	pushd ${S}/tcl-8.0/unix
	econf || die "Failed to configure tcl-8.0"
	emake || die "Failed to make tcl-8.0"
	popd
	pushd ${S}/tk-8.0/unix
	econf || die "Failed to configure tk-8.0"
	emake || die "Failed to make tk-8.0"
	popd
	EXTRA_ECONF="`use_enable debug`"
	pushd ${S}/common
	econf || die "Failed to configure common"
	emake || die "Failed to make common"
	popd
	pushd ${S}/vic
	cp ${FILESDIR}/vic-1.1.3-config.sub config.sub
	EXTRA_ECONF="`use_enable debug`"
	econf || die "Failed to configure rat"
	emake || die "Failed to make rat"
}

src_install() {
	use debug && RESTRICT="nostrip"
	exeinto /usr/bin
	doexe vic/vic
	doman vic/vic.1
	dodoc vic/CHANGES.html vic/README
	docinto html
	dodoc vic/html/*
}

