############################################################################
# Joshua R. Boverhof, LBNL
#Copyright (c) 2003, The Regents of the University of California,
#through Lawrence Berkeley National Laboratory 
#(subject to receipt of any required approvals from the U.S. Dept. of Energy). 
#All rights reserved. 
###########################################################################

from pyGlobus.test import test_GSITcpClient
from pyGlobus.test import test_GSITCPSocketServer
from pyGlobus.test import test_GSITCPSocket
import ConfigParser, unittest
"""
Unittest for the io package.
"""

#The config file is ../../test/config.py
config = None # ConfigParser object

def makeTestSuite():
    global config
    if config == None:
        config = ConfigParser.ConfigParser()
        config.read("config.py")
    test_GSITcpClient.config = config
    suite = unittest.TestSuite()
    suite.addTest(test_GSITcpClient.makeTestSuite())
    suite.addTest(test_GSITCPSocketServer.makeTestSuite())
    suite.addTest(test_GSITCPSocket.makeTestSuite()) 
    return suite

def main():
    global config
    if config == None:
        config = ConfigParser.ConfigParser()
        config.read("config.py")
    test_GSITcpClient.config = config
    unittest.main(defaultTest="makeTestSuite")


if __name__ == "__main__": main()
    
