############################################################################
# Keith R. Jackson, LBNL
#Copyright (c) 2003, The Regents of the University of California,
#through Lawrence Berkeley National Laboratory 
#(subject to receipt of any required approvals from the U.S. Dept. of Energy). 
#All rights reserved. 
###########################################################################

import unittest
from pyGlobus import utilc
from pyGlobus.util import getHostname
from pyGlobus.util import getEnv, setEnv, unSetEnv 

class UtilTestCase(unittest.TestCase):
    "Test case for the util module"
    
    def checkModule(self):
        print "\nChecking the util module activation/deactivation code"
        ret = utilc.globus_module_activate(utilc.get_module())
        assert ret == 0, "Error activating the module"
        ret = utilc.globus_module_deactivate(utilc.get_module())
        assert ret == 0, "Error deactivating the module"
        ret = utilc.globus_module_activate(utilc.get_module())
        assert ret == 0, "Error activating the module"
        ret = utilc.globus_module_deactivate_all()
        assert ret == 0, "Error deactivating all modules"
        print "completed 4 tests in util"

    def checkGetHostName(self):
	print "checkGetHostName"
        hostname = getHostname()
        print hostname
        print "DONE"

    def checkEnvironmet(self):
        print "checkEnvironment"
        variable = "testVar"
        value = "testValue"
        setEnv(variable, value)
        newVal = getEnv(variable)
        if newVal != value:
            print "checkEnvironment TEST FAILED"

        unSetEnv(variable)
        newVal = getEnv(variable)
        if newVal != None:
            print "checkEnvironment TEST FAILED" 
        
def makeTestSuite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(UtilTestCase, "check"))
    return suite

def main():
    unittest.main(defaultTest="makeTestSuite")

if __name__ == "__main__": main()
        
